/* ====================================
   Artist Section
==================================== */
.artist-section {
  padding: var(--spacing-lg);
  max-width: 70rem;
  margin: auto;
}

.artist-hero {
  display: flex;
  flex-wrap: wrap;
  gap: var(--spacing-lg);
  border: 1px solid var(--color-third);
  padding: var(--spacing-lg);
  border-radius: var(--border-radius-l);
  margin-bottom: var(--spacing-lg);
  align-items: stretch;
  box-shadow: var(--drop-shadow-1);
}

/* ====================================
   Open in New About
==================================== */

.artist-name-with-icon {
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
}

.external-icon {
  font-size: var(--font-size-md);
  color: var(--color-dark);
  text-decoration: none;
  display: inline-flex;
  align-items: center;
}

body.dark-mode  .external-icon {
  color: var(--color-off-white);
}

.external-icon .material-icons {
  font-size: 1.25rem;
  transition: opacity 0.2s ease;
}

.external-icon:hover .material-icons {
  opacity: 0.6;
}



/* ====================================
   Hero Image & Dots
==================================== */
.hero-image-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex: 1 1 50%;
  min-height: 100%;
}

.hero-image-wrapper {
  position: relative;
  overflow: hidden; /* important to hide off-screen logos */
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 15rem;
  width: 100%;
  height: auto;
  aspect-ratio: 1 / 1;
  max-height: 20rem;
}

.hero-logo {
  position: absolute;
  opacity: 0;
  max-width: 100%;
  width: 100%;
  height: auto;
  max-height: 100%;
  object-fit: contain;
  transition: transform 0.4s ease, opacity 0.4s ease;
  transform: translateX(100%);
  z-index: 0;
}

.hero-logo.active {
  max-height: 100%;
  position: relative;
  opacity: 1;
  transform: translateX(0%);
  z-index: 1;
}



.hero-dots {
  display: flex;
  justify-content: center;
  margin-top: var(--spacing-sm);
  gap: var(--spacing-xs);
}

.hero-dots .dot {
  display: inline-block;
  width: var(--spacing-sm);
  height: var(--spacing-sm);
  background-color: var(--color-off-white);
  border-radius: var(--border-radius-sm);
  border: solid 1px var(--color-dark);
  cursor: pointer;
  transition: background 0.3s ease;
}

body.dark-mode .dot {
  background: var(--color-dark);
  border: 1px solid var(--color-off-white);
}

.hero-dots .dot.active {
  background: var(--color-dark-mode);
}

body.dark-mode .hero-dots .dot.active {
  background: var(--color-third);
}


/* ====================================
   Artist Info
==================================== */
.artist-info {
  text-align: left;
  flex: 2 1 400px;
}

.artist-info h1 {
  font-size: var(--font-size-xxxl, 2.5rem);
  margin-bottom: var(--spacing-xs);
}

.genre-links {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: var(--spacing-xs);
  margin-bottom: var(--spacing-sm);
}

.bio {
  margin-bottom: var(--spacing-sm);
  line-height: var(--line-height-reg);
  font-size: var(--font-size-lg);
}

.credit {
  font-family: var(--font-heading);
  text-transform: uppercase;
  font-size: var(--font-size-xs);
}

/* ====================================
   Album Section
==================================== */
.album-section {
  display: flex;
  flex-wrap: wrap;
  border: 1px solid var(--color-third, #cecece);
  padding: var(--spacing-lg);
  border-radius: var(--border-radius-l);
  margin-bottom: var(--spacing-lg);
  gap: var(--spacing-lg);
}

.album-covers {
  display: flex;
  gap: 1rem;
  flex: 1 1 300px;
}

.album-covers img {
  width: var(--album-cover);
  height: var(--album-cover);
  object-fit: cover;
}

.album-info {
  flex: 2 1 400px;
}

.album-info h2 {
  font-size: var(--font-size-xxl, 2rem);
  margin-bottom: var(--spacing-xs, 0.5rem);
}

.album-info .meta,
.label {
  font-family: var(--font-heading);
  font-size: var(--font-size-xs, 0.75rem);
  color: var(--color-secondary, #666);
  text-transform: uppercase;
  letter-spacing: var(--letter-spacing-xs);
  margin-bottom: var(--spacing-sm, 1rem);
  font-weight: 600;
}

.album-label {
  font-weight: bold;
  text-transform: uppercase;
  font-size: var(--font-size-sm, 0.875rem);
  color: var(--color-dark-mode);
}

body.dark-mode  .album-label {
  color: var(--color-white);
}


/* ====================================
   Video Section
==================================== */
.video-section {
  display: flex;
  flex-direction: row;
  align-items: center;
  border: 1px solid var(--color-third);
  padding: var(--spacing-md, 1.5rem);
  border-radius: var(--border-radius-l);
  margin-bottom: var(--spacing-lg);
  gap: var(--spacing-lg);
}

.video-section img {
  width: 60%;
  height: auto;
  max-height: 450px;
  object-fit: cover;
  display: block;
}

.video-info {
  flex: 1;
}

.video-info h2 {
  font-size: var(--font-size-xxl, 2rem);
  margin-bottom: var(--spacing-xs);
}


/* ====================================
   Text Blocks
==================================== */
.description {
  margin-bottom: var(--spacing-sm);
  margin-top: var(--spacing-sm);
  font-size: var(--font-size-md);
  line-height: var(--line-height-reg);
}


/* ====================================
   Platform Links
==================================== */
.platform-links {
  display: flex;
  flex-wrap: wrap;
  gap: var(--spacing-x);
  align-items: center;
}

.platform-links a {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: var(--spacing-xxs);
  width: var(--icon-size-reg);
  height: var(--icon-size-reg);
}

.platform-links img {
  width: 100%;
  height: auto;
  object-fit: contain;
}


/* ====================================
   Genre Tags
==================================== */
.genre-label-row {
  display: flex;
  align-items: center;
  gap: var(--spacing-xs, 0.5rem);
  font-size: var(--font-size-sm, 0.875rem);
  font-weight: bold;
  color: var(--color-secondary, #666);
  text-transform: uppercase;
  margin-bottom: var(--spacing-xs, 0.5rem);
}

.genre-label {
  font-family: var(--font-heading);
  background-color: var(--color-off-white);
  color: var(--color-dark);
  padding: 2px 6px;
  border-radius: var(--border-radius-sm);
  font-size: var(--font-size-xs);
  font-weight: 600;
  letter-spacing: var(--letter-spacing-sm);
}

.genre-value {
  font-family: var(--font-heading);
  font-size: var( --font-size-sm);
  text-transform: uppercase;
  font-weight: normal;
  color: var(--color-dark-mode);
}

body.dark-mode  .genre-value,
body.dark-mode  .label{
  color: var(--color-white);
}


/* ====================================
   Tag Labels
==================================== */
.tag-label {
  font-family: var(--font-heading);
  font-weight: 600;
  display: inline-flex;
  align-items: center;
  gap: 0.4rem;
  background: var(--color-off-white);
  color: var(--color-dark);
  padding: 2px 6px;
  border-radius: var(--border-radius-sm);
  text-transform: uppercase;
  font-size: var(--font-size-xs);
  letter-spacing: var(--letter-spacing-sm);
}

.tag-label .material-icons {
  font-size: var(--font-size-md);
}

a.tag-label {
  text-decoration: none;
  color: var(--color-dark);
}


/* ====================================
   Responsive
==================================== */
@media (max-width: 768px) {

  .album-section {
    display: block;
    flex-wrap: nowrap;
  }
  

  .artist-hero {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .hero-logo {
    margin: 0 auto;
  }

  .hero-image-wrapper {
    width: 100%;
  }

  .video-section {
    flex-direction: column;
    align-items: center;
  }

  .video-section img {
    width: 100%;
    height: auto;
    max-height: none;
  }

  .video-info {
    width: 100%;
    text-align: left;
    flex: 0 1 auto;
  }

  .album-info {
    width: 100%;
    text-align: left;
    flex: 0 1 auto;
  }

  .platform-links a {
    display: inline-flex;
    align-items: center;
    justify-content: left;
    padding: var(--spacing-xxs);
    margin-right: var(--spacing-xs);
    width: var(--icon-size-lg);
    height: var(--icon-size-lg);
  }

  .album-covers {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .album-covers img {
    width: 100%;
    max-width: 200px;
    height: auto;
  }
}
